from pydantic import BaseModel, HttpUrl


class KSplynxSettings(BaseModel):
    url: HttpUrl = HttpUrl("https://gp-acs.k-net.fr")
    key: str = ""
    sec: str = ""
    db_schema: str = "splynx"
    db_table_customers: str = "customers"
    authtypeapikey: str = "api_key"
